> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Wallet References For Multiple Tokens

> Builds per-employee, per-token wallet reference rows with distribution ratios and amounts for a token payroll.

Not available to API keys yet. It will need `banking:write` and `compensation:read` and `payroll:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-all-wallet-references-for-multiple-tokens
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-all-wallet-references-for-multiple-tokens:
    post:
      operationId: getAllWalletReferencesForMultipleTokens
      summary: Get All Wallet References For Multiple Tokens
      description: >-
        Builds per-employee, per-token wallet reference rows with distribution
        ratios and amounts for a token payroll.


        Not available to API keys yet. It will need `banking:write` and
        `compensation:read` and `payroll:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/GetAllWalletReferencesForMultipleTokensRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAllWalletReferencesForMultipleTokensResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAllWalletReferencesForMultipleTokensRequest:
      type: object
      properties:
        roleInOrgIDs:
          type: array
          items:
            type: string
        tokenTypeIDs:
          type: array
          items:
            type: string
        tokenPayrollID:
          type: string
      required:
        - roleInOrgIDs
        - tokenTypeIDs
        - tokenPayrollID
    GetAllWalletReferencesForMultipleTokensResponse:
      type: array
      items:
        type: object
        properties:
          walletReferenceID:
            type:
              - string
              - 'null'
          roleInOrgID:
            type: string
          employeeName:
            type: string
          externalEmployeeID:
            type:
              - string
              - 'null'
          tokenName:
            type: string
          tokenCurrencyCode:
            type: string
          tokenTypeID:
            type: string
          wallet:
            type: object
            properties:
              walletID:
                type: string
              roleInOrgID:
                type: string
              name:
                type:
                  - string
                  - 'null'
              address:
                type:
                  - string
                  - 'null'
              memo:
                type:
                  - string
                  - 'null'
              destinationTag:
                type:
                  - integer
                  - 'null'
              network:
                type: string
              status:
                type: string
                enum:
                  - PENDING
                  - PENDING_ADMIN_LINK_TXN
                  - PENDING_TXN_APPROVAL
                  - VERIFIED
                  - REJECTED
                  - ARCHIVED
                  - CANCELLED
              walletType:
                type:
                  - string
                  - 'null'
                enum:
                  - SELF_CUSTODY
                  - EXCHANGE
                  - null
              orgNetworkID:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              isCurrent:
                type: boolean
              isDefault:
                type: boolean
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - integer
                  - 'null'
              walletTypeCustomID:
                type:
                  - string
                  - 'null'
              nickName:
                type:
                  - string
                  - 'null'
              investorEntityID:
                type:
                  - string
                  - 'null'
              tokenTypeID:
                type:
                  - string
                  - 'null'
              connectedViaMesh:
                type: boolean
              userDismissed:
                type: boolean
              tokenType:
                type:
                  - object
                  - 'null'
                properties:
                  tokenTypeID:
                    type: string
                  name:
                    type: string
                  currencyCode:
                    type: string
                  icon:
                    type:
                      - string
                      - 'null'
                  orgID:
                    type: string
                  enabledForPayrollType:
                    type:
                      - string
                      - 'null'
                    enum:
                      - ON_CYCLE
                      - OFF_CYCLE
                      - INVOICE_PAYMENT
                      - null
                  networkID:
                    type: string
                  address:
                    type:
                      - string
                      - 'null'
                  decimalPlaces:
                    type:
                      - integer
                      - 'null'
                  coinMarketCapID:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                  isTokenEnabled:
                    type:
                      - boolean
                      - 'null'
                  isContractorDefault:
                    type: boolean
                  defaultTokenSlug:
                    type:
                      - string
                      - 'null'
                  catalogTokenDeploymentID:
                    type:
                      - string
                      - 'null'
                required:
                  - tokenTypeID
                  - name
                  - currencyCode
                  - icon
                  - orgID
                  - enabledForPayrollType
                  - networkID
                  - address
                  - decimalPlaces
                  - coinMarketCapID
                  - createdAt
                  - isTokenEnabled
                  - isContractorDefault
                  - defaultTokenSlug
                  - catalogTokenDeploymentID
              orgNetwork:
                type:
                  - object
                  - 'null'
                properties:
                  networkID:
                    type: string
                  orgID:
                    type: string
                  name:
                    type: string
                  icon:
                    type:
                      - string
                      - 'null'
                  tokenType:
                    type: string
                    enum:
                      - ERC20
                      - NATIVE
                  isNetworkEnabled:
                    type:
                      - boolean
                      - 'null'
                  chainType:
                    type:
                      - string
                      - 'null'
                    enum:
                      - EVM
                      - SOLANA
                      - XRPL
                      - BITCOIN
                      - COSMOS_SDK
                      - FILECOIN
                      - PROVENANCE
                      - ALEO
                      - FOGO
                      - FIAT
                      - NEAR
                      - POLKADOT
                      - STACKS
                      - SUI
                      - null
                  meshConnectNetworkID:
                    type:
                      - string
                      - 'null'
                  evmChainID:
                    type:
                      - integer
                      - 'null'
                  multiSendCallOnlyAddress:
                    type:
                      - string
                      - 'null'
                  safeSingletonAddress:
                    type:
                      - string
                      - 'null'
                  safeFactoryAddress:
                    type:
                      - string
                      - 'null'
                  safeAppBaseUrl:
                    type:
                      - string
                      - 'null'
                  safeTxServiceUrl:
                    type:
                      - string
                      - 'null'
                  blockExplorerBaseUrl:
                    type:
                      - string
                      - 'null'
                  eipsName:
                    type:
                      - string
                      - 'null'
                  aleoTransferVisibility:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PUBLIC
                      - PUBLIC_TO_PRIVATE
                      - PRIVATE
                      - null
                  defaultNetworkSlugUrl:
                    type:
                      - string
                      - 'null'
                  catalogChainID:
                    type:
                      - string
                      - 'null'
                required:
                  - networkID
                  - orgID
                  - name
                  - icon
                  - tokenType
                  - isNetworkEnabled
                  - chainType
                  - meshConnectNetworkID
                  - evmChainID
                  - multiSendCallOnlyAddress
                  - safeSingletonAddress
                  - safeFactoryAddress
                  - safeAppBaseUrl
                  - safeTxServiceUrl
                  - blockExplorerBaseUrl
                  - eipsName
                  - aleoTransferVisibility
                  - defaultNetworkSlugUrl
                  - catalogChainID
            required:
              - walletID
              - roleInOrgID
              - name
              - address
              - memo
              - destinationTag
              - network
              - status
              - walletType
              - orgNetworkID
              - createdAt
              - updatedAt
              - isCurrent
              - isDefault
              - legacyMigratedAt
              - legacyModelID
              - walletTypeCustomID
              - nickName
              - investorEntityID
              - tokenTypeID
              - connectedViaMesh
              - userDismissed
              - tokenType
              - orgNetwork
          distributionRatio:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          tokenAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          roleInOrg:
            type: object
            properties:
              roleInOrgID:
                type: string
              personID:
                type: string
              person:
                type: object
                properties:
                  givenName:
                    type: string
                  familyName:
                    type: string
                required:
                  - givenName
                  - familyName
              externalEmployeeID:
                type:
                  - string
                  - 'null'
            required:
              - roleInOrgID
              - personID
              - person
              - externalEmployeeID
        required:
          - walletReferenceID
          - roleInOrgID
          - employeeName
          - externalEmployeeID
          - tokenName
          - tokenCurrencyCode
          - tokenTypeID
          - wallet
          - distributionRatio
          - tokenAmount
          - roleInOrg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
